@import "light-dark.scss";
@import "mixins.scss";
@import "fonts.scss";

*,
*::before,
*::after {
    box-sizing: border-box;
}

* {
    margin: 0;
    padding: 0;
}

body {
    height: 100vh;
    font-family: "Inter", "Segoe UI", "Trebuchet MS", "Lucida Sans Unicode",
        "Lucida Grande", "Lucida Sans", Arial, sans-serif;
    font-weight: v(fontWeight);
    letter-spacing: v(letterSpacing);
    user-select: none;
    -webkit-user-select: none;
    background-color: v(backgroundColor);
    color: v(textColor);
    font-size: 16pt;
}

#overlay-newFileSetup {
    gap: 4em;
    & > div {
        display: flex;
        flex-direction: column;
        gap: 0.5em;
    }
}

#menuBar,
#toolbar,
.overlay {
    &::before {
        backdrop-filter: blur(8px);
        z-index: -1;
        content: "";
        height: 100%;
        position: absolute;
        width: 100%;
        background: v(menuColor);
    }
}

#toolbar::before {
    border-radius: 0.4em;
    background: v(hoverColor);
}

#menuBar {
    display: flex;
    position: fixed;
    align-items: center;
    top: 0;
    width: 100vw;
    z-index: 3;
    overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap;
    @include shadow-highlight;
}

::-webkit-scrollbar {
    display: none;
}

.menuItem {
    & > input {
        @include hidden-radioButton;
    }
    & > div {
        padding: 0.3em;
    }
}

.menuItem,
.submenuItem,
.button,
button,
.radioButton {
    cursor: pointer;
    position: relative;

    &:active {
        background-color: v(selectedColor);
    }

    &:hover {
        background-color: v(hoverColor);
    }
}

.submenuItem {
    padding: 0.3em;
}

button {
    -webkit-appearance: none;
    appearance: none;
    font: inherit;
    border: 0.1em solid v(textColor);
    color: inherit;
    background: inherit;
}

.button,
button {
    display: inline;
    padding: 0.3em;
    border-radius: 4px;
}

.overlay {
    display: grid;
    position: fixed;
    z-index: 2;
    @include shadow-highlight;
    &.hidden {
        display: none;
    }
    .templateOptions {
        display: flex;
        gap: 0.4em;
    }
}

// label:has(input:checked) + .overlay {
//     display: flex;
// }

.icon {
    width: 1.25rem;
    height: 1.25rem;
    aspect-ratio: 1/1;
}

#main {
    width: 100%;
    height: 100%;
}

canvas {
    position: absolute;
    &#pdf-canvas {
        z-index: 1;
        display: none;
    }
    &#view {
        z-index: 2;
    }
}

.dialog {
    padding: 1em;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    border-radius: 4px;
    gap: 0.5em;
    .dialogFooter {
        margin-top: 2em;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        gap: 1em;
    }
}

#toolbar {
    padding: 0.4em;
    left: 50%;
    transform: translate(-50%, 0);
    position: fixed;
    display: grid;
    grid-auto-flow: column;
    gap: 0.4em;
    top: 3rem;
    background-color: inherit;
}

.toolbarModule {
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 4px;
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: center;
    align-items: center;

    &.hidden {
        display: none;
    }

    &.switchOptionWrapper {
        padding-inline: 0.5em;
    }
}

.radioButton {
    display: inline-block;
    border-radius: 4px;

    & > input {
        @include hidden-radioButton;
    }

    & > span {
        border-radius: 4px;
    }

    & > span,
    & > div {
        padding: 7px;
        display: block;
    }
}

.switchOptionWrapper {
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: space-between;
    align-items: center;
    gap: 7px;
}

input[name="radGrp-color"] + span {
    padding: 5px;
    display: inline-flex;
}

.switch {
    width: 40px;
    height: 24px;
    position: relative;

    & input {
        opacity: 0;
        width: 0;
        height: 0;
    }
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: v(selectedColor);
    -webkit-transition: 0.4s;
    border-radius: 24px;

    &::before {
        position: absolute;
        content: "";
        height: 16px;
        width: 16px;
        left: 4px;
        bottom: 4px;
        background-color: v(selectedColor);
        -webkit-transition: 0.4s;
        border-radius: 50%;
        border: solid v(textColor);
    }
}

input:checked + .slider::before {
    background-color: v(textColor);
    -webkit-transform: translateX(16px);
}

.range {
    -webkit-appearance: none;
    height: 0.5em;
    background: v(selectedColor);
    border-radius: 0.25em;
    outline: none;

    &::-webkit-slider-thumb {
        -webkit-appearance: none;
        width: 2ex;
        height: 2ex;
        background: v(selectedColor);
        border: solid v(textColor);
        border-radius: 1ex;
        cursor: pointer;
    }
}

a {
    color: inherit;
    text-decoration: inherit;
    cursor: pointer;
}

.icon-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    max-height: 34px;
}

.strokeMenuElement {
    max-height: 34px;
}

#btn-addPage {
    position: fixed;
    padding: 0.4em;
    border-radius: 0.4em;
    background-color: v(menuColor);
    color: v(textColor);
    z-index: 2;
    left: 50%;
    transform: translate(-50%, -130%);
    &.hidden {
        transform: translate(-50%, 0);
    }
    transition: transform 0.5s;
    @include shadow-highlight;
}
